<?php

/**
 *      【橙创家校通v4.0】 (C)2010-2012 Tuntron Inc.
 *      
 *    	 http://www.tuntron.com   QQ：1121251729
 *
 *      &用户组设置-系统管理模块&
 */
   
  $c=_get('c','system');
  
  $groupid=_get('groupid');
  
  $M = G_class('usergroup');
  
  //左侧菜单开始 --后面考虑转到模块入口文件
  $left_menu_html = G_class('menu') ->get_left_menu_html($arrgroup['menuid'],$do,$c);
  
  
  switch ($c){
	 
	 case 'system':
	 
	 	$usergrouparr = $M->read_all('system');
		$usergrouparr = fields_code($usergrouparr,'groupid');//获取参数验证代码
		
	 	$thisname = '系统用户组';
	 
	 break;
	 
	 case 'school':
	 
		$usergrouparr = $M->read_all('school');
		$usergrouparr = fields_code($usergrouparr,'groupid');//获取参数验证代码
		
		$thisname = '学校用户组';
		
		
	 break;
	 
	 case 'parent':
	 
	 	
		$usergrouparr = $M->read_all('parent');
		$usergrouparr = fields_code($usergrouparr,'groupid');//获取参数验证代码
		
	 
		 $thisname = '家长用户组';
	 
	 break;
	 
	 case 'student':
	 
	 	
		$usergrouparr = $M->read_all('student');
		$usergrouparr = fields_code($usergrouparr,'groupid');//获取参数验证代码
		
	 
		 $thisname = '学生用户组';
	 
	 break;
	 
	 
	 case 'special':
	 
	 	$usergrouparr = $M->read_all('special');
		$usergrouparr = fields_code($usergrouparr,'groupid');//获取参数验证代码
		
	 
		 $thisname = '特殊用户组';
	 
	 break;
	 
	 
	 case 'add':
	  
	  	if($_POST){
		$post = $M->get_post($_POST);
		
		$M-> save($post);
		
		Note('用户组添加成功！','>>点击返回<<',SITEURL.'?mod=system&do=usergroup&c='.$post['grouptype']);
		}
	  	
		$gt=_get('gt','system');
		
		$no_temp=1;
		
		$Modname = '添加用户组 - 用户组设置 - 系统设置';
		 
		 $select_menu = G_class('menu')->read_isfolder_list($menuid);
		 
		 
		require_once Template($do.'_add');
	 
	 break;
	 
	 
	  case 'edit':
	  
	  
	  	if($_POST){
		$post = $M->get_post($_POST);
		if($post['groupid']==1) Note('禁止编辑系统管理员所在组！','>>点击返回<<');
		//print_r($post);
		//exit;
		
		$M-> save($post,$post['groupid']);
		
		Note('用户组修改成功！','>>点击返回<<',SITEURL.'?mod=system&do=usergroup&c='.$post['grouptype']);
		}
	  
	 
	 	$usergrouparr = $M->read($groupid);
		$select_menu = G_class('menu')->read_isfolder_list($usergrouparr['menuid']);
		
		$no_temp=1;
		
		$Modname = '编辑用户组 - 用户组设置 - 系统设置';
		 
		require_once Template($do.'_edit');
	 
	 break;
	 
	 
	 case 'set_access':
	  
	  
	  	if($_POST){
		$post = $_POST;
		if($post['groupid']==1) Note('禁止编辑系统管理员所在组权限！','>>点击返回<<');
		
		G_class('usergroup')-> save($post,$post['groupid']);
		
		Note('用户组权限设置成功！','>>点击返回<<',SITEURL.'?mod=system&do=usergroup&c='.$post['grouptype']);
		}
	  
	 
	 	$usergrouparr = $M->read($groupid);
		$usergroup_access = $usergrouparr['access'];
		$access['系统设置'] = G_class('access')->read_all($usergrouparr['grouptype'],'系统设置');
		$access['人员管理'] = G_class('access')->read_all($usergrouparr['grouptype'],'人员管理');
		$access['校务管理'] = G_class('access')->read_all($usergrouparr['grouptype'],'校务管理');
		$access['班务管理'] = G_class('access')->read_all($usergrouparr['grouptype'],'班务管理');
		$access['考试&作业'] = G_class('access')->read_all($usergrouparr['grouptype'],'考试&作业');
		$access['文件下载'] = G_class('access')->read_all($usergrouparr['grouptype'],'文件下载');
		$access['讨论组'] = G_class('access')->read_all($usergrouparr['grouptype'],'讨论组');
		$access['其他'] = G_class('access')->read_all($usergrouparr['grouptype'],'其他');
		//print_r($access);
      //exit;
		
		$no_temp=1;
		
		$Modname = '编辑用户组权限 - 用户组设置 - 系统设置';
		 
		require_once Template($do.'_access');
	 
	 break;
	 
	 
	  case 'del':
	   
	     if($groupid==1) Note('禁止删除系统管理员所在组！','>>点击返回<<');
		
		 $M->del($groupid);
		 $gt=_get('gt','system');
	 
	 	 Note('删除成功！','>>点击返回<<',SITEURL.'?mod=system&do=usergroup&c='.$gt);

	 break;
	 
	 

 }
  
 $Modname = $thisname.' - 用户组设置 - 系统设置';
 
 if($no_temp<0) require_once Template($do);


?>